Send a message
curl --request POST \
--url https://api.marzipan.co/v1/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Ada Lovelace",
"email": "ada@example.com",
"subject": "Wholesale enquiry",
"message": "Do you offer wholesale pricing?",
"source": "contact-page",
"company": "Analytical Engines Ltd"
}
'import requests
url = "https://api.marzipan.co/v1/messages"
payload = {
"name": "Ada Lovelace",
"email": "ada@example.com",
"subject": "Wholesale enquiry",
"message": "Do you offer wholesale pricing?",
"source": "contact-page",
"company": "Analytical Engines Ltd"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Ada Lovelace',
email: 'ada@example.com',
subject: 'Wholesale enquiry',
message: 'Do you offer wholesale pricing?',
source: 'contact-page',
company: 'Analytical Engines Ltd'
})
};
fetch('https://api.marzipan.co/v1/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Message has been logged."
}{
"message": "The email field is required.",
"errors": {
"email": [
"The email field is required."
]
}
}Messaging
Send a message
Submits a message to the store (for example from a contact form). A customer record is found or created from the email address, the message is logged, and admin users who opt in are notified.
POST
/
messages
Send a message
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your API token.
Body
application/json
⌘I

